WordPress自动更新插件:WordPress Auto-updates

2020年6月24日22:22:07 功能增强 发表评论 228

WordPress自动更新需要以下条件:

1,网站程序及数据库需要及时备份;

2,网站不能自动更新,包含程序,插件,主题不能自动更新。

主要解决的问题:提升网站的安全性。

具体分析:

插件修改代码的很少,更新不会有问题;

主题有可能修改代码,改变功能,这个自己的网站要心里有数,在备份的时候,可以做策略,这样及时回传覆盖更新即可;

程序升级,如果是一直连贯的升级,不会出问题,跨版本升级WordPress做的也不错,几乎也不会出错。

在网站安全性的大前提下,自动更新还是非常有必要的,因为涉及到网站环境及权限的问题,有些WordPress网站无法自动更新。使用插件是很好的解决办法,而且这款插件是WordPress官方开发的,并且会在WordPress 5.5中集成到WordPress程序中。

背景知识:

关于WordPress自动更新,WordPress官方从2013年开始讨论,但一直没进展,鉴于WordPress一直有安全性问题,所以自动更新是有必要的,特别是针对插件和程序本身。

一些设想:

自动更新插件和针对每个插件,每个主题设置是否需要自动更新。

但没有设置邮件提醒的功能,而且也没有设置备份之前做备份的功能。

当然还可以有日志功能,这样才是一个功能完善的插件。

插件官方地址:https://wordpress.org/plugins/wp-autoupdates/

发表评论

您必须登录才能发表评论!